Page MenuHomePhabricator

Add report menu item to Minerva and Vector 2022 tools
Closed, ResolvedPublic

Assigned To
Authored By
kostajh
Jul 6 2023, 4:27 PM
Referenced Files
F40293354: image.png
Oct 26 2023, 4:44 AM
F40293177: image.png
Oct 26 2023, 4:44 AM
F40293338: image.png
Oct 26 2023, 4:44 AM
F40293329: image.png
Oct 26 2023, 4:44 AM
F40006699: image.png
Oct 25 2023, 1:42 PM
F37739953: image.png
Sep 19 2023, 6:56 PM
F37739949: image.png
Sep 19 2023, 6:56 PM
Tokens
"Like" token, awarded by Tacsipacsi.

Description

We will register a "Report" button in the Minerva page overflow menu and Vector 2022 tools menus. That will be available for configured namespaces. It provides a solution to allow users to report abuse in case DiscussionTools cannot load for whatever reason.

Acceptance criteria:

  • "Report" menu link exists in Minerva page overflow menu for configured namespaces
  • "Report" menu link exists in Vector tools menu for configured namespaces
  • Menu links contain a data attribute or class to allow us to track usage
  • Remove existing button implementation in favor of tool menus

Event Timeline

Can this be a simple "mailto:" link that will launch a browser or email client with the subject field pre-filled?

Can this be a simple "mailto:" link that will launch a browser or email client with the subject field pre-filled?

It could be, but then we'd expose this address to potentially ill-intentioned people.

What I had in mind waa report button that is present in the toolbar or otherwise at the top of the page, for cases where DiscussionTools doesn't load properly; everything else about the experience (loading the reporting application) would be the same.

@JSengupta-WMF @Madalina to keep things simple, my proposal is that we add a "Report" link in the page overflow menu in Minerva and in the Tools menu in Vector, if the user is viewing a page that is in a namespace we have configured to show the report button. And to keep thing simple, I would propose we have the link present in those menus, even if we have also added the link in DiscussionTools.

Page overflow menu in Minerva:

image.png (1×792 px, 119 KB)

Tools menu in Vector 2022:

image.png (1×792 px, 141 KB)

What do you think?

kostajh renamed this task from Allow reporting when DiscussionTools is unavailable, due to malformed talk page to Add report menu item to Minerva and Vector 2022 tools.Sep 20 2023, 8:00 PM
kostajh updated the task description. (Show Details)

We discussed this in our BXT meeting on Sept 20 and agreed on the following:

  • We will add a Report link to the the page overflow menu in Minerva and in the Tools menu in Vector.
  • We will add instrumentation to those links to understand how people use them.

Change 963082 had a related patch set uploaded (by Dreamy Jazz; author: Dreamy Jazz):

[mediawiki/extensions/ReportIncident@master] [WIP] Remove report button and replace with toollinks link

https://gerrit.wikimedia.org/r/963082

Change 963082 merged by jenkins-bot:

[mediawiki/extensions/ReportIncident@master] Remove report button and replace with a tools menu link

https://gerrit.wikimedia.org/r/963082

Some more work is needed (mainly instrumentation and whether to hide the menu item if the page is blank), so moving back to Ready.

Some more work is needed (mainly instrumentation and whether to hide the menu item if the page is blank), so moving back to Ready.

I think we could handle instrumentation in a separate task. As long as there's a unique class, data attribute or ID for us to identify how the user arrived at the report incident app, we should be OK.

Dreamy_Jazz updated the task description. (Show Details)

Some more work is needed (mainly instrumentation and whether to hide the menu item if the page is blank), so moving back to Ready.

I think we could handle instrumentation in a separate task. As long as there's a unique class, data attribute or ID for us to identify how the user arrived at the report incident app, we should be OK.

There is ext-reportincident-link, but I don't think that is necessarily clear enough as to it being just for the menus. Therefore it might make sense to add another class for instrumentation.

Also I need to work out why the icon won't display in Minerva on betawikis.

Suggested QA steps:

  1. Install the ReportIncident extension
  2. Install the MinervaNeue and Vector skins
  3. Log into an account
  4. Load the page Special:Preferences#mw-prefsection-rendering and choose Vector (2022) (this may be the pre-selected option)
  5. Press the Save button if you needed to change the active skin.
  6. Open a user talk page
  7. Scroll to the bottom of the page
  8. Verification step 1: Verify there is no Report button shown at the bottom of the user talk page. If it it exists it would look like:

image.png (87×136 px, 2 KB)

  1. Verification step 2: Verify that a Report link appears in the Tools menu
  2. Click on this link
  3. Verification step 3: Verify that a dialog appears
  4. Load the page Special:Preferences#mw-prefsection-rendering and change the skin to MinervaNeue
  5. Open a user talk page
  6. Click on More present in the tools at the top of the page which has three vertically aligned dots as it's icon
  7. Verification step 4: Verify that a Report link with a flag icon is shown in this dropdown menu
  8. Click on this link
  9. Verification step 5: Verify that a dialog appears
Djackson-ctr subscribed.

I have verified the following items have been implemented, and are displaying and functioning as expected at url https://patchdemo.wmflabs.org/wikis/c45087b29b/wiki/User_talk:Alice
Great Work @Dreamy_Jazz and @kostajh, and thank you for the QA Steps!!!!

  • Report option doesn't show at the bottom of the user talk page in Vector or MinervaNeue.

  • Report option appears in Vector Tools menu

image.png (766×1 px, 291 KB)

  • When Report is selected a Dialogue page appears

image.png (922×1 px, 366 KB)


  • Report option appears in MinervaNeue Overflow menu

image.png (918×730 px, 127 KB)

  • When Report is selected a Dialogue page appears

image.png (897×694 px, 176 KB)